Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000817Core InformPhrases and functional programmingpublic2011-12-13 09:522014-05-07 07:33
Assigned Tograham 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000817: Descriptions of phrases rejected as not understood
DescriptionThe attached source provokes

- - - -
Problem. In the sentence 'now the list is filter to unique phrases nothing -> nothing of the list' , I was expecting to read a description of values, but instead found some text that I couldn't understand - 'unique phrases nothing -> nothing'.
I was trying to match this phrase:

filter to (unique phrases nothing -> nothing - description of values) of (list - list of values)
This was what I found out:

unique phrases nothing -> nothing = something unrecognised
list = a temporary named value, holding a list of phrases nothing -> nothing
- - - -

Analogous code with non-phrase kinds is accepted.
Minimal Source Text To Reproduce
There is a room.

To foo (this is fooing):
	do nothing.
To bar (this is barring):
	do nothing.
Definition: a phrase nothing -> nothing is unique if it is fooing.

When play begins:
	let the list be { fooing, barring };
	now the list is filter to unique phrases nothing -> nothing of the list;
	showme the list.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
graham (administrator)
2014-02-10 13:57

In fact I believe this was, surprisingly, a manifestation of 0000368, but anyway it's gone now.

- Issue History
Date Modified Username Field Change
2011-12-13 09:52 EmacsUser New Issue
2012-06-20 08:45 curiousdannii Status new => confirmed
2014-02-10 13:57 graham Note Added: 0002470
2014-02-10 13:57 graham Status confirmed => resolved
2014-02-10 13:57 graham Resolution open => fixed
2014-02-10 13:57 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker